std::recursive_timed_mutex(3)

NAME
std::recursive_timed_mutex - recursive_timed_mutex

SYNOPSIS

  Public Member Functions
recursive_timed_mutex (const recursive_timed_mutex &)=delete
void lock ()
recursive_timed_mutex & operator= (const recursive_timed_mutex &)=delete
bool try_lock ()
template<typename _Rep , typename _Period > bool try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration > bool try_lock_until (const chrono::time_point< _Clock, _Duration > &__atime)
void unlock ()

Detailed Description

recursive_timed_mutex

Definition at line 408 of file mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.